<div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title clearfix">
                    <!-- Items FILTER -->
                    <div class="form-group col-sm-8">
                        <input type="text" class="form-control" ng-model="vm.meta.query"
                               placeholder="Search for an item"
                               ng-change="vm.read({page: 1})"/>
                    </div>
                    <div class="col-sm-4">
                        <ui-select ng-model="vm.meta.limit"
                                   theme="bootstrap"
                                   on-select="vm.read({page: 1})">
                            <ui-select-match>display {{$select.selected}} items per page</ui-select-match>
                            <ui-select-choices repeat="limit in vm.limits">
                                display {{::limit}} items per page
                            </ui-select-choices>
                        </ui-select>
                    </div>

                    <!-- /Items FILTER -->
                </div>
                <div class="ibox-content">
                    <!--ITEMS LIST-->
                    <div id="grid1" ui-grid="vm.gridOptions" ui-grid-auto-resize ng-style="{'height': height + 'px'}"
                         class="grid height-transition"></div>
                    <!--/ITEMS LIST-->
                    <!--pagination-->
                    <div class="clearfix">
                        <div class="col-sm-12 text-center">
                            <uib-pagination ng-if="vm.meta.totalCount > vm.meta.limit" total-items="vm.meta.totalCount"
                                            items-per-page="vm.meta.limit" ng-model="vm.meta.page"
                                            max-size="10" ng-change="vm.read()"></uib-pagination>
                        </div>
                    </div>
                    <!--/pagination-->
                </div>
            </div>
        </div>
    </div>


</div>